[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.InsertKey

Insert a key in the list

## Declaration

Source position: fgl.pp line 278

`public procedure TFPSMap.InsertKey(`
`Index: Integer;`
`AKey: Pointer`
`);`

## Arguments

`Index` |  | Index at which position key must be inserted
`AKey` |  | Pointer to Key value to insert

## Description

InsertKey will allocate a new slot in the list for a key value as pointed to by AKey, and copy the key pointed to by AKey to the slot.

## Errors

If the maximum amount of values is reached or an invalid index is specified, InsertKey will raise an EListError exception.

## See also

TFPSMap.Add |  | Add a key, value pair to the map.
TFPSMap.Insert |  | Insert a new slot for key and associated data item in the list
TFPSMap.InsertKeyData |  | Insert a key and associated in the list